#include "mt.h"
#include "version.h"

#include <errno.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

void error_exit(char *format, ...)
{
	va_list ap;

	(void)endwin();

	va_start(ap, format);
	(void)vfprintf(stderr, format, ap);
	va_end(ap);
	fprintf(stderr, "errno=%d (if applicable)\n", errno);

	exit(EXIT_FAILURE);
}

